Subject: Re: git push from client is not updating files on server

From: Neal Kreitzinger <[email-masked]>
Date: Tue, 06 Mar 2012 19:11:12 -0600

On 3/6/2012 6:28 PM, Jerome Yanga wrote:
> The project in Apache's DocumentRoot was created using the following command:
>
> "cd /var/www/git
> git clone --bare<non-bare working directory>  <project>.git"
>
I have a comment on the above command.  Did you run:

git clone --bare /non-bare/working/directory project.git

(or)

git clone --bare file:///non-bare/working/directory project.git

because the former does hardlinks and the latter does a full copy (see 
git-clone manpage section "GIT URLS").  I'm not sure how much it 
matters, but you should confirm whether what you did is what you want.

v/r,
neal